
  CREATE OR REPLACE FORCE EDITIONABLE VIEW "IGOPS"."REVIEW_ITEM_STATUS_V" ("REVIEW_ITEM_ID", "REVIEW_INSTANCE_ID", "REVIEW_STATUS", "START_DATE", "END_DATE", "ITEM_COUNT", "USER_ID", "USER_DISPLAY_NAME", "PERMISSION_ID", "PERMISSION_NAME") AS 
  SELECT DISTINCT
    item.id review_item_id,
    instance.id review_instance_id,
    instance.status review_status,
    instance.start_date,
    instance.end_date,
    instance.item_count,
    CASE
        WHEN item_type = 'ACCOUNT' AND usr.id IS NULL THEN shacc.suser  
        ELSE usr.id
    END user_id,
    CASE
        WHEN item_type = 'ACCOUNT' AND usr.display_name IS NULL THEN TO_CHAR(shacc.display_name)
        ELSE TO_CHAR(usr.display_name)
    END user_display_name,
    perm.id permission_id,
    perm.name permission_name
   FROM review_item item
     JOIN review_instance instance ON item.review_instance_id = instance.id
     LEFT JOIN suser usr ON usr.unique_user_id = item.unique_user_id AND usr.effective = 1
     LEFT JOIN spermission perm ON perm.unique_permission_id = item.unique_permission_id AND perm.effective = 1
     LEFT JOIN saccount acct ON acct.unique_account_id = item.unique_account_id AND acct.effective = 1
     LEFT JOIN shared_accounts_v shacc ON shacc.unique_account_id = acct.unique_account_id
   WHERE instance.status = 'CERTIFIED' OR instance.status = 'CERTIFYING' OR instance.status = 'AUDIT_APPROVAL'
   ORDER BY item.id;

    GRANT SELECT ON IGOPS.REVIEW_ITEM_STATUS_V TO igrptuser;
CREATE OR REPLACE PUBLIC SYNONYM REVIEW_ITEM_STATUS_V FOR IGOPS.REVIEW_ITEM_STATUS_V;