CREATE OR REPLACE VIEW SUSER_BROLE_V AS
 SELECT suser.id,
    suser.deleted,
    suser.department,
    suser.display_description,
    suser.display_name,
    suser.dn,
    suser.effective,
    suser.employee_status,
    suser.employee_type,
    suser.first_name,
    suser.full_name,
    suser.guid,
    suser.home_phone,
    suser.idm_dn,
    suser.idm_tree_name,
    suser.is_curated,
    suser.job_code,
    suser.job_title,
    suser.last_name,
    suser.location,
    suser.merged,
    suser.middle_name,
    suser.office_phone,
    suser.other_phone,
    suser.preferred_locale,
    suser.provisioning_id,
    suser.secondary_supervisor_id,
    suser.supervisor_attr_key,
    suser.supervisor_id,
    suser.supervisor_unique_id,
    suser.unique_user_id,
    suser.user_id,
    suser.business_unit,
    suser.collected_entity,
    suser.effective_entity,
    suser.identity_source,
    suser.sversion,
    suser.workforce_id,
    suser_email.email,
    suser.risk,
    brole.name business_role,
    brole.description brole_description,
    brole.risk brole_risk,
    brole.update_time brole_update_time
   FROM suser
     LEFT JOIN suser_email ON suser.id = suser_email.suser
     LEFT JOIN business_role_incl_memb br_memb ON suser.unique_user_id = br_memb.unique_member_id AND br_memb.is_user = 1
     LEFT JOIN business_role brole ON br_memb.business_role_id = brole.id
  WHERE suser.deleted = 0 AND suser.effective = 1;

GRANT SELECT ON igops.SUSER_BROLE_V TO igrptuser;
CREATE OR REPLACE PUBLIC SYNONYM SUSER_BROLE_V for igops.SUSER_BROLE_V;